Skip to main content
GET
/
kvaults
/
rewards
Get all KVault season rewards
curl --request GET \
  --url https://api.kamino.finance/kvaults/rewards
const options = {method: 'GET'};

fetch('https://api.kamino.finance/kvaults/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.kamino.finance/kvaults/rewards"

response = requests.get(url)

print(response.text)
false
[
  {
    "kvault": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
    "rewardToken": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
    "lastCalculated": "2023-12-25",
    "apy": "0.2",
    "tokensPerSecond": "1234.56789"
  }
]
{
"error": "Invalid query request",
"details": [
{
"code": "invalid_union",
"errors": [
[
{
"code": "custom",
"path": [],
"message": "Invalid date string"
}
],
[
{
"expected": "number",
"code": "invalid_type",
"path": [],
"message": "Invalid input: expected number, received string"
}
]
],
"path": [
"start"
],
"message": "Invalid input"
}
]
}
{
"error": "An internal error occurred"
}

Query Parameters

source
string

Points source identifier

Examples:

"Season1"

"Season2"

"Season3"

"Season4"

Response

OK

kvault
string
required

Address of the kvault

Example:

"VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd"

rewardToken
string
required

Mint address of the reward token

Example:

"VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd"

lastCalculated
string<date>
required

Timestamp of the last calculation

apy
string
required

Annual Percentage Yield from rewards in the kvault

Example:

"0.2"

tokensPerSecond
string
required

Number of reward tokens distributed per second

Example:

"1234.56789"